Subject: RE: [Sip] Question about Poll: Proposal relating to keepalive, TCP, and UDP usage in draft-ietf-sip-outbound

From: <[email-masked]>
Date: Tue, 2 Jan 2007 09:59:53 +0200

Hi,

Me too: I also agree with #1 and #2. But when Outbound is used for
NAT traversal I do not find #3 to add any value to #1. Switchover to 
TCP (in the presence of NAT) can only be used if the UA always keeps 
the TCP alive like in #1. The additional UDP flow does not bring 
any significant value for the deployment.

The only case where #3 might make some sense is that if 3GPP wants
to support multiregistration of a single UA over different radio
network types (cellular and WLAN) with Outbound. That use case 
does not have anything to do with NAT traversal, so keepalives 
would not be needed and switchover from UDP to TCP could be made 
like in RFC 3261. 

Regards,

Erkki 

>-----Original Message-----
>From: ext Ben Campbell [mailto:[email-masked]] 
>Sent: 31.December.2006 03:41
>To: Adam Roach
>Cc: Cullen Jennings; SIP
>Subject: Re: [Sip] Question about Poll: Proposal relating to 
>keepalive, TCP,and UDP usage in draft-ietf-sip-outbound
>
>I concur with Adam, with the caveat that any unforseen complexities  
>that might be introduced by the phrase "not have the size limitations  
>by using switchover" not block the work. That is, if 3 is free, or  
>cheap, then great--but I would not want to significantly delay 1 and  
>2 in order to get 3.
>
>On Dec 30, 2006, at 7:06 PM, Adam Roach wrote:
>
>> I agree 100% with #1 and #2. I find #3 to be of dubious value,  
>> although I see no harm in a solution that has that property as well  
>> (and you seem to get it for free if you satisfy #1 and #2).
>>
>> /a
>>
>>
>>
>> Cullen Jennings wrote:
>>>
>>> If the people who have been expressing strong opinions on the  
>>> details of this proposal could comment on if they agree with these  
>>> high level goals or not, it would be really helpful for trying to  
>>> get this draft to move forward.
>>>
>>> On Dec 16, 2006, at 12:33 PM, Cullen Jennings wrote:
>>>
>>>> Practically speaking given where we are today, I would be a fan  
>>>> of a solution that meant the following goals:
>>>>
>>>> 1) allowed deployments that wanted to use TCP to use TCP
>>>>
>>>> 2) allowed deployments that wanted to use UDP to use only UDP  
>>>> with the known limitations that the UA would not be able to send  
>>>> large requests
>>>>
>>>> 3) allowed deployments that wanted to use both UDP and TCP to do  
>>>> so and not have the size limitations by using switchover
>>>
>>> _______________________________________________
>>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>>> This list is for NEW development of the core SIP Protocol
>>> Use [email-masked] for questions on current sip
>>> Use [email-masked] for new developments on the application of sip
>>
>>
>> _______________________________________________
>> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>> This list is for NEW development of the core SIP Protocol
>> Use [email-masked] for questions on current sip
>> Use [email-masked] for new developments on the application of sip
>
>
>_______________________________________________
>Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
>This list is for NEW development of the core SIP Protocol
>Use [email-masked] for questions on current sip
>Use [email-masked] for new developments on the application of sip
>

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

---

From: "Christer Holmberg \(JO/LMF\)" <[email-masked]>
Date: Fri, 5 Jan 2007 13:09:35 +0100

Hi, 

>Me too: I also agree with #1 and #2. But when Outbound is 
>used for NAT traversal I do not find #3 to add any value to 
>#1. Switchover to TCP (in the presence of NAT) can only be 
>used if the UA always keeps the TCP alive like in #1. The 
>additional UDP flow does not bring any significant value for 
>the deployment.
> 
>The only case where #3 might make some sense is that if 3GPP 
>wants to support multiregistration of a single UA over 
>different radio network types (cellular and WLAN) with 
>Outbound. That use case does not have anything to do with NAT 
>traversal, so keepalives would not be needed and switchover 
>from UDP to TCP could be made like in RFC 3261. 

I don't think we should rule out scenarios multiregistration with
Outbound in NAT environments. TISPAN has also been looking at Outbound
for certain multiregistraion scenarios.

Regards,

Christer

> keepalive, 
> >TCP,and UDP usage in draft-ietf-sip-outbound
> >
> >>>> Practically speaking given where we are today, I would 
> be a fan of 
> >>>> a solution that meant the following goals:
> >>>>
> >>>> 2) allowed deployments that wanted to use UDP to use 
> only UDP with 
> >>>> the known limitations that the UA would not be able to 
> send large 
> >>>> requests
> >>>>
> >>>> 3) allowed deployments that wanted to use both UDP and 
> TCP to do so 
> >>>> and not have the size limitations by using switchover
> >>>
> >>> This list is for NEW development of the core SIP Protocol Use 
> >>> [email-masked] for questions on current sip Use 
> >>> [email-masked] for new developments on the application of sip
> >>
> >>
> >> This list is for NEW development of the core SIP Protocol Use 
> >> [email-masked] for questions on current sip Use 
> >> [email-masked] for new developments on the application of sip
> >
> >
> >This list is for NEW development of the core SIP Protocol Use 
> >[email-masked] for questions on current sip Use 
> >[email-masked] for new developments on the application of sip
> >
> 
> This list is for NEW development of the core SIP Protocol Use 
> [email-masked] for questions on current sip